#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from fanstatic import Library, Resource
from pyramid.i18n import TranslationStringFactory

from pyams_utils.fanstatic import ExternalResource


_ = TranslationStringFactory('pyams_almond_theme')


library = Library('pyams_almond_theme', 'resources')

# pyams_almond_nunito_font = ExternalResource(library,
#                                             'https://fonts.googleapis.com/css2?'
#                                             'family=Nunito:wght@200;300;400;600;700;800;900&'
#                                             'display=swap',
#                                             resource_type='css')

# pyams_almond_roboto_font = ExternalResource(library,
#                                             'https://fonts.googleapis.com/css2?'
#                                             'family=Roboto:wght@200;300;400;500;700;900&'
#                                             'display=swap',
#                                             resource_type='css')

# pyams_almond_theme_css = Resource(library, 'css/almond.css',
#                                   minified='css/almond.min.css',
#                                   depends=(pyams_almond_nunito_font, pyams_almond_roboto_font))

pyams_almond_theme = Resource(library, 'js/almond-dev.js',
                              minified='js/almond.js',
                              depends=(),
                              bottom=False)


def includeme(config):
    """Pyramid include"""

    from .include import include_package
    include_package(config)
