#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from pyams_almond_theme.layer import IPyAMSAlmondLayer
from pyams_default_theme.features.thesaurus import ThesaurusTermAssociatedTermsRenderer, \
    ThesaurusTermFooterRenderer, ThesaurusTermHeaderRenderer, \
    ThesaurusTermHtmlRenderer, ThesaurusTermIllustrationRenderer
from pyams_template.template import override_template


override_template(context=ThesaurusTermHeaderRenderer,
                  template='templates/header.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ThesaurusTermIllustrationRenderer,
                  template='templates/illustration.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ThesaurusTermHtmlRenderer,
                  template='templates/html.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ThesaurusTermAssociatedTermsRenderer,
                  template='templates/associated-terms.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ThesaurusTermFooterRenderer,
                  template='templates/footer.pt',
                  layer=IPyAMSAlmondLayer)
