#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

from zope.interface import Interface

from pyams_almond_theme.layer import IPyAMSAlmondLayer
from pyams_content.shared.resource import IWfResource
from pyams_default_theme.features.search.portlet import ISearchResultRenderer, \
    WfSharedContentSearchResultPanelRenderer
from pyams_default_theme.interfaces import ISearchResultsPanelView
from pyams_default_theme.shared.common.interfaces import \
    ICustomContentSpecificitiesParagraphRenderer, ICustomContentSpecificitiesRenderer
from pyams_default_theme.shared.resource import \
    ResourceSpecificitiesPortletRenderer as ResourceSpecificitiesPortletRendererBase, \
    WfResourceSearchResultRenderer
from pyams_skin.layer import IPyAMSUserLayer
from pyams_template.template import override_template, template_config


__docformat__ = 'restructuredtext'

from pyams_utils.adapter import adapter_config


@adapter_config(context=(IWfResource, IPyAMSAlmondLayer, Interface),
                provides=ICustomContentSpecificitiesRenderer)
@adapter_config(context=(IWfResource, IPyAMSAlmondLayer, Interface),
                provides=ICustomContentSpecificitiesParagraphRenderer)
@template_config(template='templates/specificities.pt', layer=IPyAMSAlmondLayer)
class ResourceSpecificitiesPortletRenderer(ResourceSpecificitiesPortletRendererBase):
    """Resource specificities portlet renderer"""

    resources = ()


override_template(context=WfResourceSearchResultRenderer,
                  template='templates/search-result.pt',
                  layer=IPyAMSAlmondLayer)


@adapter_config(context=(IWfResource, IPyAMSUserLayer, ISearchResultsPanelView),
                provides=ISearchResultRenderer)
@template_config(template='templates/search-panel.pt', layer=IPyAMSUserLayer)
class WfResourceSearchResultPanelRenderer(WfSharedContentSearchResultPanelRenderer):
    """Resource search result panel renderer"""
