#
# Copyright (c) 2015-2021 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_*** module

"""

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from pyams_almond_theme.layer import IPyAMSAlmondLayer
from pyams_content.shared.view.portlet import IViewItemsPortletSettings
from pyams_default_theme.shared.view.portlet import ViewItemsPortletHorizontalRenderer, \
    ViewItemsPortletSummaryRenderer, ViewItemsPortletVerticalRenderer
from pyams_portal.interfaces import IPortalContext, IPortletRenderer
from pyams_skin.layer import IPyAMSLayer
from pyams_template.template import override_template, template_config
from pyams_utils.adapter import adapter_config

from pyams_almond_theme import _


override_template(context=ViewItemsPortletVerticalRenderer,
                  template='templates/view-items-list.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ViewItemsPortletHorizontalRenderer,
                  template='templates/view-items-horiz-list.pt',
                  layer=IPyAMSAlmondLayer)


override_template(context=ViewItemsPortletSummaryRenderer,
                  template='templates/view-items-summary.pt',
                  layer=IPyAMSAlmondLayer)


@adapter_config(name='panels',
                context=(IPortalContext, IPyAMSLayer, Interface, IViewItemsPortletSettings),
                provides=IPortletRenderer)
@template_config(template='templates/view-items-panels.pt', layer=IPyAMSLayer)
class ViewItemsPortletPanelsRenderer(ViewItemsPortletSummaryRenderer):
    """View items portlet panels renderer"""

    label = _("Three vertical panels with panoramic illustrations")
    weight = 4
